const app = getApp(),
Api = require("../../../utils/util.js");
Page({
  data: {   
  },
  onLoad: function(){
    
  },
  onShow: function () {
    var that = this;
    this.setData({
      url: app.globalData.url,
      userId: wx.getStorageSync('userId'),
      name: wx.getStorageSync('name'),
    })
    
  }, 
  
  
  //我的结算
  settlement(e){
    wx.navigateTo({
      url: '/monitor/pages/settlement/settlement',
    })
  },

  //通知公告
  notice: function () {    
    wx.navigateTo({
      url: '/monitor/pages/notice/notice',
    })
  },

  //技术资料
  technicalData: function () {
    wx.navigateTo({
      url: '/monitor/pages/technicalData/technicalData',
    })    
  },

  exit: function () {
    wx.showModal({
      content: '确定退出登录吗？',
      success(res) {
        if (res.cancel) {} else if (res.confirm) {
          Api.req('oauth/miniapp/logout', {}, 'get').then((res) => {
            wx.clearStorage()
            wx.reLaunch({
              url: '/pages/index/index',
            })        
          })
        }
      }
    })
  },  
})